@charset "UTF-8";

/* about-section */
@media all {

	@media only screen and (max-width: 767px) {
		.about-section-inner {
			padding: 50rem 0 210rem;
		}
		.deco1 {
			top: calc(100% - 180rem);
			left: -25rem;
			width: 400rem;
			height: 180rem;
		}
		.deco1 img {
			width: 100%;
			height: 100%;
			object-fit: cover;
			object-position: center 9%;
		}
	}

	/* pc & tab */
	@media print,
	(min-width: 768px) {
		.about-section {
			margin-top: 120rem;
			padding-bottom: 105rem;
		}
		.about-content {
			margin-top: 30rem;
			width: 510rem;
		}

		.deco1 {
			position: absolute;
			top: 0;
			left: calc(50% + 70rem);
			width: 650rem;
			height: 400rem;
			clip-path: polygon(7.7% 0, 100% 0, 92.3% 100%, 0 100%);
		}
	}
}

/* point-section */
@media all {
	.point-section {background-color: var(--bg-lightblue);}
	.point-section-inner {background-color: #fff;}
	.point-header-ttl {
		font-family: var(--lineseed);
		font-weight: bold;
		color: #fff;
	}
	.point-dt {
		display: flex;
		align-items: center;
		font-family: var(--lineseed);
		font-weight: bold;
		white-space: nowrap;
	}
	.point-dt-no {--rainbow-text-end: 80%;}
	.point-dt-ttl {color: var(--main-blue);}

	/* sp */
	@media only screen and (max-width: 767px) {
		.point-section {padding: 80rem 0!important;}
		.point-section-inner {
			margin: 0 auto;
			width: 350rem;
			background-color: #fff;
		}

		.point-header-ttl {
			padding: 13rem .75em;
			width: 200rem;
			font-size: 22rem;
			letter-spacing: -.04em;
			clip-path: polygon(0 0, 100% 0, 190rem 100%, 0 100%);
			transform: translate(-13rem, -22rem);
		}

		.point-content {margin-top: 10rem;}
		.point-list {padding: 0 20rem;}
		.point-item {padding-bottom: 40rem;}

		.point-dl {margin-top: 20rem;}
		.point-dt-no {
			width: 70rem;
			font-size: 42rem;
		}
		.point-dt-ttl {
			font-size: 18rem;
			line-height: 34rem;
		}
		.point-dd {margin-top: 5rem;}
		.point-dd > p {line-height: 32rem;}

		.point-aside {margin-top: 50rem;}

	}

	/* pc & tab */
	@media print,
	(min-width: 768px) {
		.point-section {padding: 95rem 20rem 100rem;}
		.point-section-inner {
			padding: 60rem;
		}
		.point-header {
			top: -20rem;
			left: -30rem;
		}
		.point-header {position: absolute;z-index: 1;}
		.point-header-ttl {
			padding: 14rem 16rem 50rem;
			font-family: var(--lineseed);
			font-size: 28rem;
			font-weight: bold;
			color: #fff;
			writing-mode: vertical-rl;
			clip-path: polygon(0 0, 100% 0, 100% calc(100% - 16rem), 0 100%);
		}

		.point-list {
			display: flex;
			flex-wrap: wrap;
			gap: 80rem 80rem;
		}
		.point-item {width: 400rem;}
		.point-item:nth-child(2n) {transition-delay: .25s;}
		.point-dl {margin-top: 30rem;}
		.point-dt-no {
			width: 100rem;
			font-size: 60rem;
		}
		.point-dt-ttl {
			font-size: 22rem;
			line-height: 38rem;
		}
		.point-dd {margin-top: 10rem;}
		.point-dd > p {line-height: 2.5;}

		.point-aside {margin-top: 50rem;}
	}
}

/* textbook-section */
@media all {
	.textbook-content-ttl {
		font-family: var(--lineseed);
		font-weight: bold;
		color: var(--main-blue);
	}
	.textbook-btn {text-align: right;}
	.deco3 figcaption {
		margin-top: 1em;
		font-weight: bold;
		color: var(--main-blue);
		text-align: center;
	}

	/* sp */
	@media only screen and (max-width: 767px) {
		.textbook-section {
			margin-top: 100rem;
			padding: 0 25rem;
		}
		.textbook-section-inner {
			padding: 410rem 0 80rem;
		}
		.textbook-content {margin-top: 40rem;}
		.textbook-content-ttl {
			margin-bottom: 16rem;
			font-size: 22rem;
			line-height: 34rem;
			text-align: center;
		}
		.textbook-btn {margin-top: 20rem;}


		.deco3 {
			top: 0;
			left: calc(50% - 125rem);
			width: 250rem;
			text-align: center;
		}
		.deco3 img {
			width: 220rem;
			box-shadow: 5rem 5rem 5rem rgba(0,0,0,.2);
		}
	}

	/* pc & tab */
	@media print,
	(min-width: 768px) {
		.textbook-section {padding: 70rem 0 80rem;}
		.textbook-section-inner {padding-left: 400rem;}

		.textbook-content {margin-top: 40rem;}
		.textbook-content-ttl {
			margin-bottom: 16rem;
			font-size: 22rem;
			line-height: 38rem;
		}
		.textbook-content > p {line-height: 2.5;}

		.textbook-btn {margin-top: 30rem;}

		.deco3 {
			top: 0;
			left: 0;
			width: 280rem;
			min-height: 400rem;
		}
		.deco3 img {box-shadow: 5rem 5rem 5rem rgba(0,0,0,.2);}
		.deco3 figcaption {
			font-size: 14rem;
		}
	}
}

/* curriculum-section */
@media all {
	.curriculum-header {
		background: linear-gradient(to right,  rgba(0, 97, 162, 1) 31.71%, rgba(0, 139, 194, 1) 100%);
	}
	.curriculum-header-ttl {
		display: flex;
		align-items: center;
		justify-content: center;
		height: 100%;
		font-family: var(--lineseed);
		font-weight: bold;
		color: #fff;
		text-align: center;
	}
	.curriculum-content {
		overflow: hidden;
		position: relative;
		background-color: #fff;
	}
	.curriculum-content::after {
		content: '';
		position: absolute;
		bottom: 0;
		left: 0;
		display: block;
		width: 100%;
		background: linear-gradient(to top, rgba(255,255,255,1) 5%, rgba(255,255,255,0) 100%);
		pointer-events: none;
	}

	.curriculum-dt {
		display: flex;
		align-items: center;
		font-family: var(--lineseed);
		font-weight: bold;
	}
	.curriculum-dt-num {
		display: flex;
		align-items: center;
		margin-right: .5em;
		padding-left: .5em;
		color: #fff;
	}
	.curriculum-dt-ttl {
		color: var(--main-blue);}

	.curriculum-opener {
		position: absolute;
		z-index: 10;
		display: flex;
		align-items: center;
		justify-content: center;
		aspect-ratio: 1;
		border-radius: 50%;
	}
	.curriculum-opener:hover {cursor: pointer;}
	.curriculum-opener > img {
		display: block;
		transform: rotate(90deg);
	}

	.accordion-open .curriculum-content::after,
	.accordion-open .curriculum-opener {
		display: none;
	}

	/* sp */
	@media only screen and (max-width: 767px) {
		.curriculum-section {
			padding: 60rem 25rem;
			background-position: center top;
		}
		.curriculum-header {
			border-top-left-radius: 7rem;
			border-top-right-radius: 7rem;
			height: 60rem;
		}
		.curriculum-header-ttl {font-size: 22rem;}

		.curriculum-content {
			padding: 30rem 20rem 0;
			height: 284rem;
			border-bottom-left-radius: 7rem;
			border-bottom-right-radius: 7rem;
		}
		.curriculum-content::after {height: 90rem;}

		.curriculum-list {padding-bottom: 40rem;}
		.curriculum-item + .curriculum-item {margin-top: 26rem;}
		.curriculum-dt {font-size: 18rem;}
		.curriculum-dt-num {
			height: 30rem;
			width: 50rem;
			clip-path: polygon(0 0, 100% 0, calc(100% - 8rem) 100%, 0 100%);
		}
		.curriculum-dd:not(:empty) {
			padding-top: 10rem;
			line-height: 26rem;
		}
		.curriculum-opener {
			bottom: -12rem;
			left: calc(50% - 12rem);
			padding: 5rem;
			width: 24rem;
		}
	}

	/* pc & tab */
	@media print,
	(min-width: 768px) {
		.curriculum-section {
			padding: 100rem 0 120rem;
		}
		.curriculum-header {
			border-top-left-radius: 10rem;
			border-top-right-radius: 10rem;
			height: 100rem;
		}
		.curriculum-header-ttl {font-size: 28rem;}

		.curriculum-content {
			padding: 40rem 80rem 0;
			height: 300rem;
			border-bottom-left-radius: 10rem;
			border-bottom-right-radius: 10rem;
		}
		.curriculum-content::after {height: 120rem;}

		.curriculum-list {padding-bottom: 50rem;}
		.curriculum-item + .curriculum-item {margin-top: 42rem;}

		.curriculum-dt {font-size: 22rem;}
		.curriculum-dt-num {
			height: 32rem;
			width: 65rem;
			clip-path: polygon(0 0, 100% 0, calc(100% - 8rem) 100%, 0 100%);
		}
		.curriculum-dd:not(:empty) {
			padding: 20rem 0 0 100rem;
			line-height: 28rem;
		}

		.curriculum-opener {
			bottom: -20rem;
			left: calc(50% - 20rem);
			padding: 10rem;
			width: 40rem;
		}
	}
}

/* more-section */
@media all {
	.more-item {
		position: relative;
		background-color: var(--bg-lightblue);
	}
	.more-content-btn {position: absolute;}

	/* sp */
	@media only screen and (max-width: 767px) {
		.more-section {
			margin-top: 80rem;
			padding-bottom: 160rem;
		}
		.more-item {
			padding: 30rem 17rem 40rem;
		}
		.more-item + .more-item {margin-top: 60rem;}
		.more-content-btn {
			bottom: -23rem;
			right: 30rem;
		}
	}

	/* pc & tab */
	@media print,
	(min-width: 768px) {
		.more-section {
			margin-top: 100rem;
			padding-bottom: 90rem;
		}
		.more-list {
			display: flex;
			justify-content: space-between;
		}
		.more-item {
			padding: 45rem 30rem;
			width: 480rem;
			min-height: 360rem;
		}
		.more-item:nth-child(2) {transition-delay: .25s;}
		.more-content {margin-top: 40rem;}
		.more-content p {line-height: 2.5;}
		.more-content-btn {
			bottom: -30rem;
			right: 30rem;
		}


		.site-footer {margin-top: 100rem;}
	}
}









/* template-section */
@media all {

	/* sp */
	@media only screen and (max-width: 767px) {}

	/* pc & tab */
	@media print,
	(min-width: 768px) {}
}
